{% load_products tag: tag_name per_page: 10 %}
{% if products.size > 0 %}
  {% assign tag = products[0] | map: 'tags' | where: 'name', tag_name | first %}
  <section class="section products carousel container">
    {% if tag.title != blank and tag.title != tag.name %}
      <div class="header">
        <h2 class="title">
          {{ tag.title }}
        </h2>
      </div>
    {% endif %}

    <div class="content" data-products-carousel>
      <div class="swiper">
        <div class="swiper-wrapper">
          {% for product in products %}
            {% if current_product and current_product.id == product.id %}
              {% continue %}
            {% else %}
              <div class="item swiper-slide" data-item>
                {% render 'partials/components/product_block', product: product, mobile: mobile %}
              </div>
            {% endif %}
          {% endfor %}
        </div>
      </div>

      {% unless mobile %}
        <button aria-label="Próximo slide" class="swiper-button-next" type="button"></button>
        <button aria-label="Slide anterior" class="swiper-button-prev" type="button"></button>
      {% endunless %}
      <div class="swiper-pagination"></div>
    </div>
  </section>
{% endif %}
